"use strict";
/**
 * Cache Manager
 *
 * {
 * 	 src/styles/variables.css: {
 * 	 },
 *   all: {
 * 			--red: #355324,
 *      --green: #664435
 * 	 }
 * }
 */
Object.defineProperty(exports, "__esModule", { value: true });
class CacheManager {
    constructor() {
        this.cachedVariables = new Map();
        this.allVariables = new Map();
    }
    get(key, filePath) {
        var _a, _b;
        if (filePath) {
            return (_a = this.cachedVariables[filePath]) === null || _a === void 0 ? void 0 : _a.get(key);
        }
        return (_b = this.allVariables) === null || _b === void 0 ? void 0 : _b.get(key);
    }
    getAll() {
        return this.allVariables;
    }
    set(filePath, key, value) {
        var _a;
        if (!this.cachedVariables[filePath]) {
            this.cachedVariables[filePath] = new Map();
        }
        (_a = this.allVariables) === null || _a === void 0 ? void 0 : _a.set(key, value);
        this.cachedVariables[filePath].set(key, value);
    }
    clearFileCache(filePath) {
        var _a, _b;
        (_a = this.cachedVariables[filePath]) === null || _a === void 0 ? void 0 : _a.forEach((_, key) => {
            var _a;
            (_a = this.allVariables) === null || _a === void 0 ? void 0 : _a.delete(key);
        });
        (_b = this.cachedVariables[filePath]) === null || _b === void 0 ? void 0 : _b.clear();
    }
    clearAllCache() {
        var _a;
        (_a = this.allVariables) === null || _a === void 0 ? void 0 : _a.clear();
        this.cachedVariables.clear();
    }
}
exports.default = CacheManager;
//# sourceMappingURL=CacheManager.js.map